### Function

# GIRepository Typelib new_from_bytes

since: 2.80

#### Declaration

    GITypelib*
    gi_typelib_new_from_bytes (
      GBytes* bytes,
      GError** error
    )

#### Description

Creates a new `GITypelib` from a `GBytes`.

The `GBytes` can point to a memory location or a mapped file, and the typelib will hold a reference to it until the repository is destroyed.

Available since: 2.80

#### Parameters

`bytes`

  Type: `GBytes`

  Memory chunk containing the typelib.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GITypelib`

The new `GITypelib`.

The caller of the function takes ownership of the data, and is responsible for freeing it.